Package org.pushingpixels.substance.internal.utils

# Class SubstanceInternalFrameTitlePane.ClickListener

java.lang.Object
org.pushingpixels.substance.internal.utils.SubstanceInternalFrameTitlePane.ClickListener

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  `SubstanceInternalFrameTitlePane`

public static class SubstanceInternalFrameTitlePane.ClickListener extends Object implements ActionListener
Click correction listener that resets models of minimize and restore buttons on click (so that the rollover behaviour will be preserved correctly).

## Constructor Summary

Constructors
Constructor
Description
`ClickListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClickListener

public ClickListener()

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`